org.jcp.xmlns.xml.ns.javaee

## Class Scan.Exclude

- java.lang.Object
- - org.jcp.xmlns.xml.ns.javaee.Scan.Exclude

- Enclosing class:
    Scan

      public static class Scan.Exclude
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="if-class-available">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="if-class-not-available">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="if-system-property">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <attribute name="name" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <pattern value="([a-zA-Z_$][a-zA-Z\d_$]*\.)*([a-zA-Z_$][a-zA-Z\d_$]*|\*|\*\*)"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Scan.Exclude.IfClassAvailable` Java-Klasse für anonymous complex type.
    `static class` | `Scan.Exclude.IfClassNotAvailable` Java-Klasse für anonymous complex type.
    `static class` | `Scan.Exclude.IfSystemProperty` Java-Klasse für anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `ifClassAvailableOrIfClassNotAvailableOrIfSystemProperty`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exclude()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getIfClassAvailableOrIfClassNotAvailableOrIfSystemProperty()` Gets the value of the ifClassAvailableOrIfClassNotAvailableOrIfSystemProperty property.
    `String` | `getName()` Ruft den Wert der name-Eigenschaft ab.
    `void` | `setName(String value)` Legt den Wert der name-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ifClassAvailableOrIfClassNotAvailableOrIfSystemProperty

          protected List<Object> ifClassAvailableOrIfClassNotAvailableOrIfSystemProperty

    - #### name

          protected String name

  - ### Constructor Detail

    - #### Exclude

          public Exclude()

  - ### Method Detail

    - #### getIfClassAvailableOrIfClassNotAvailableOrIfSystemProperty

          public List<Object> getIfClassAvailableOrIfClassNotAvailableOrIfSystemProperty()

      Gets the value of the ifClassAvailableOrIfClassNotAvailableOrIfSystemProperty property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ifClassAvailableOrIfClassNotAvailableOrIfSystemProperty property.

      For example, to add a new item, do as follows:

              getIfClassAvailableOrIfClassNotAvailableOrIfSystemProperty().add(newItem);

      Objects of the following type(s) are allowed in the list `Scan.Exclude.IfClassAvailable` `Scan.Exclude.IfClassNotAvailable` `Scan.Exclude.IfSystemProperty`

    - #### getName

          public String getName()

      Ruft den Wert der name-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Legt den Wert der name-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.